routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'WelcomeController@index')
    ->name('welcome');

Route::get('/home', function () {
    return redirect('/');
});

Auth::routes();

/*
 * Ramais
*/
$router->group(['prefix' => '/admin', 'middleware' => 'auth'], function ($router) {
    $router->resource('/ramais', 'Admin\\BranchController', [
	    'as' => 'admin',
	])->parameters(['ramais' => 'branch']);

    $router->resource('/informativos', 'Admin\\InformativeController', [
	    'as' => 'admin',
	])->parameters(['informativos' => 'informative']);

    $router->resource('/links', 'Admin\\LinkController', [
	    'as' => 'admin',
	])->parameters(['links' => 'link']);

	$router->resource('/configuracoes', 'Admin\\SettingController', [
        'as' => 'admin',
	])->parameters(['configuracoes' => 'setting']);

    $router->resource('/usuarios', 'Admin\\UserController', [
        'as' => 'admin',
	])->parameters(['usuarios' => 'user'])
        ->only('index', 'edit', 'update');
});

/*
 * Ramais
*/
$router->group(['prefix' => '/ramais'], function ($router) {
    $router->get('/', 'BranchesController@index')
        ->name('branches.branch.index');
});

/*
 * Frequencias
*/
$router->group(['prefix' => '/frequencias'], function ($router) {
    $router->get('/', 'FrequencyController@index')
        ->name('frequencies.frequency.index')
        ->middleware('auth');

    $router->post('/', 'FrequencyController@store')
        ->name('frequencies.frequency.store')
        ->middleware('auth');
});

/*
 * Informativos
*/
$router->group(['prefix' => 'informativos'], function($router) {
    $router->get('/', 'InformativeController@index')
        ->name('informatives.informative.index')
        ->middleware('auth');
});


$router->group(['prefix'=> 'tickets'], function($router) {
    $router->get('/', 'TicketsController@index')
        ->name('tickets.ticket.index');

    $router->post('/', 'TicketsController@send')
        ->name('tickets.ticket.send')
        ->where('sector', '[0-9]+');

    $router->get('/ti', 'TicketsController@ti')
        ->name('tickets.ticket.ti');

    $router->get('/infra', 'TicketsController@infra')
        ->name('tickets.ticket.infra');

});

/*
Route::group(
[
    'prefix' => 'tickets',
], function () {

    Route::get('/', 'TicketsController@index')
      ->name('tickets.ticket.index');

    Route::get('/ti', 'TicketsController@ti')
      ->name('tickets.ticket.ti');

    Route::get('/infra', 'TicketsController@infra')
      ->name('tickets.ticket.infra');

    Route::post('/', 'TicketsController@send')
      ->name('tickets.ticket.send')
      ->where('sector', '[0-9]+');

});
*/

app/User.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;
use App\Notifications\MailResetPassword;

use Laravel\Passport\HasApiTokens;
use LdapRecord\Laravel\Auth\AuthenticatesWithLdap;
use LdapRecord\Laravel\Auth\LdapAuthenticatable;


class User extends Authenticatable
{
    use Notifiable, AuthenticatesWithLdap, HasApiTokens;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'user_type', 'username', 'email', 'password', 'role', 'meta',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attribute meta should be treat as array.
     *
     * @var array
     */
    protected $casts = [
      'id' => 'int',
      'meta' => 'array',
    ];

    /**
      * Send a password reset email to the user
      */

    public function sendPasswordResetNotification($token)
    {
          $this->notify(new MailResetPassword($token));
    }

    /**
     ** Get the activities for the user.
     **/

    public function activities() {
        return $this->hasMany('App\Models\Activity');
    }

}

app/Http/Controllers/Admin/UserController.php
<?php

namespace App\Http\Controllers\Admin;

use App\User;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $users = User::all();
        return view('admin.users.index', compact('users'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\User  $user
     * @return \Illuminate\Http\Response
     */
    public function show(User $user)
    {
        return view('admin.users.show', compact('user'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Informative  $informative
     * @return \Illuminate\Http\Response
     */
    public function edit(User $user)
    {
        return view('admin.users.edit', compact('user'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\User  $user
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, User $user)
    {
        $validator = $this->validateData($request);
		if ($validator->fails()) {
		    return back()
                ->withInput()
                ->withErrors($validator->messages());
		}

        $user->update($request->all());
        return redirect()->route('admin.usuarios.index')
            ->with('success_message', 'Usuário atualizado com sucesso.');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\User  $user
     * @return \Illuminate\Http\Response
     */
    public function destroy(User $user)
    {
        //
    }


	/**
     * Get the request's data from the request.
     *
     * @param Illuminate\Http\Request\Request $request
     * @return array
     */
    protected function validateData(Request $request)
    {
        $rules = [
            'role' => 'required',
        ];

        $validator = Validator::make($request->all(), $rules);

        return $validator;
    }

}

app/Http/Controllers/Api/Admin/UserController.php
<?php

namespace App\Http\Controllers\Admin;

use App\User;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $users = User::all();
        return view('admin.users.index', compact('users'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\User  $user
     * @return \Illuminate\Http\Response
     */
    public function show(User $user)
    {
        return view('admin.users.show', compact('user'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Informative  $informative
     * @return \Illuminate\Http\Response
     */
    public function edit(User $user)
    {
        return view('admin.users.edit', compact('user'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\User  $user
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, User $user)
    {
        $validator = $this->validateData($request);
		if ($validator->fails()) {
		    return back()
                ->withInput()
                ->withErrors($validator->messages());
		}

        $user->update($request->all());
        return redirect()->route('admin.usuarios.index')
            ->with('success_message', 'Usuário atualizado com sucesso.');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\User  $user
     * @return \Illuminate\Http\Response
     */
    public function destroy(User $user)
    {
        //
    }


	/**
     * Get the request's data from the request.
     *
     * @param Illuminate\Http\Request\Request $request
     * @return array
     */
    protected function validateData(Request $request)
    {
        $rules = [
            'role' => 'required',
        ];

        $validator = Validator::make($request->all(), $rules);

        return $validator;
    }

}

resources/views/admin/users/edit.blade.php
@extends('layouts.modules')

@section('content')

<div class="section">
  <div class="container">
    <div class="columns is-centered">
      <div class="column is-half">
      <div class="box">
        <h2 class="title">Editar informações</h2>
        @if ($errors->any())
        <div class="notification">
          <h4 class="title">Verifique se o formulário está correto</h4>
          <ul>
            @foreach ($errors->all() as $error)
              <li>{{ $error }}</li>
            @endforeach
          </ul>
        </div>
        @endif

        <form method="POST" action="{{ route('admin.usuarios.update', $user->id) }}" id="edit_user_form" name="edit_user_form" accept-charset="UTF-8">
          {{ csrf_field() }}
          <input name="_method" type="hidden" value="PUT">
          @include ('admin.users.form', ['user' => $user])

          <div class="control">
            <a class="button button-default" href="javascript:history.back()">Voltar</a>
            <input class="button is-primary" type="submit" value="Atualizar">
          </div>
        </form>
      </div>
      </div>
    </div>
  </div>
</div>

@endsection

resources/views/admin/users/form.blade.php
<div id="form-docente" class="columns">
  <div class="column">

  <div class="field">
    <label class="label">SIAPE</label>
    <input id="docente-login" type="text" class="input" name="username" value="{{ $user->username}}" disabled>

    @if ($errors->has('username'))
      <div class="is-danger">
        {{ $errors->first('username') }}
      </div>
    @endif
  </div> <!-- field docente-login -->

  <div class="field">
    <label class="label">Nome completo</label>
    <input id="docente-name" type="text" class="input" name="name" value="{{ $user->name }}" disabled>

    @if ($errors->has('name'))
      <div class="is-danger">
        {{ $errors->first('name') }}
      </div>
    @endif
  </div> <!-- field docente-name -->

  <div class="field uk-grid-small uk-child-width-auto uk-grid">
    <label class="label">Acesso</label>
    <label><input class="uk-radio" type="radio" value="comum" name="role" {{ $user->role == 'comum' ? 'checked' : '' }}> Comum</label>
    <label><input class="uk-radio" type="radio" value="coordenador" name="role" {{ $user->role  == 'coordenador' ? 'checked' : '' }}> Coordenador</label>
    <label><input class="uk-radio" type="radio" value="gestor" name="role" {{ $user->role == 'gestor' ? 'checked' : '' }}> Gestor</label>
    <label><input class="uk-radio" type="radio" value="admin" name="role" {{ $user->role == 'admin' ? 'checked' : '' }}> Administrador</label>
  </div> <!-- field responsability -->

  </div> <!-- uk-animation-fade -->

</div> <!-- form-docente -->

resources/views/admin/users/index.blade.php
@extends('layouts.modules')

@section('content')

<div class="section">
  <div class="container">
    <div class="">
      <div class="box">
        <h2 class="title">Usuários</h2>

            <table class="table table-striped is-fullwidth is-hoverable">
              <thead>
                <tr>
                  <th>Tipo</th>
                  <th>Nome</th>
                  <th>Acesso</th>
                  <th class="uk-table-shrink">Ações</th>
                </tr>
              </thead>

              <tbody>
              @foreach ($users as $user)
                <tr>
                  <td>{{ $user->user_type }}</td>
                  <td>{{ $user->name }}</td>
                  <td>{{ $user->role }}</td>
                  <td>
                    <a href="{{ route('admin.usuarios.edit', $user ) }}" class="">
                      <span class="icon">
                        <i class="mdi mdi-pencil"></i>
                      </span>
                    </a>
                  </td>
                </tr>
              @endforeach
              </tbody>
            </table>
          <a class="button button-default" href="javascript:history.back()">Voltar</a>
      </div>
    </div>
  </div>
@endsection

@section('jscontent')
  <script>
  @if(Session::has('success_message'))
    UIkit.notification({
      message: '{!! session('success_message') !!}',
      status: 'primary',
      pos: 'bottom-right',
      timeout: 5000
    });
  @endif
  </script>
@endsection